%{?nodejs_find_provides_and_requires}
Name:                nodejs-osenv
Version:             0.1.3
Release:             2
Summary:             Look up environment settings specific to different operating systems
License:             ISC
URL:                 https://github.com/isaacs/osenv
Source0:             https://registry.npmjs.org/osenv/-/osenv-%{version}.tgz
BuildArch:           noarch
ExclusiveArch:       %{nodejs_arches} noarch
BuildRequires:       nodejs-packaging
BuildRequires:       npm(tap) npm(os-homedir) npm(os-tmpdir)
%description
Look up environment settings specific to different operating systems.

%prep
%setup -q -n package

%build

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/osenv
cp -pr package.json osenv.js %{buildroot}%{nodejs_sitelib}/osenv
%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%tap test/*.js

%files
%doc README.md
%license LICENSE
%{nodejs_sitelib}/osenv

%changelog
* Mon May 9 2022 liyanan <liyanan32@h-partners.com> - 0.1.3-2
- License compliance rectification

* Mon Aug 17 2020 wutao <wutao61@huawei.com> - 0.1.3-1
- Package init
